Summary:	File transfer utilities between Linux and PalmPilots
Name:		pilot-link
Version:	0.11.8
Release:	3
URL:            http://www.pilot-link.org/
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-%{version}.diff
License:	GPL/LGPL
Group:		Libraries
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

%description
This suite of tools allows you to upload and download programs and
data files between a Linux/UNIX machine and the PalmPilot.  It has a
few extra utils that will allow for things like syncing the
PalmPilot's calendar app with Ical.

Install pilot-link if you want to synchronize your Palm with your
Linux system. You may also want the accompanying 'jpilot*.rpm'.

You need a /dev/pilot; so make a symbolic link to either /dev/ttyS0;X
or /dev/usb/ttyUSB0;X, e.g. if it's on the second port:

ln  -sf  /dev/ttyS1  /dev/pilot  	(Serial port 2) Serial Pilot device.
ln  -sf  /dev/usb/ttyUSB1  /dev/pilot	(USB port 2)    USB Pilot device.

%package 	devel
Summary: 	pilot-link headers needed for developping with pilot-link
Group: 		Development

%description 	devel
Header files for pilot-link. You need them to develop programs using pilot-link.

%prep 
%setup -q
%patch0

%build
CFLAGS="$RPM_OPT_FLAGS" INSTALLDIRS=perl PREFIX=$RPM_BUILD_ROOT/usr \
%configure  --with-perl \
	    --disable-nls \
	    --without-included-gettext \
	    --with-tcl=/usr/lib \
	    --with-itcl=/usr/lib \
	    --with-tk=/usr/lib \
	    --with-python
make

cd src 
make ietf2datebook pilot-undelete sync-plan
cd ..

cd bindings/Perl
make clean
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

cd src
cp  ietf2datebook pilot-undelete sync-plan $RPM_BUILD_ROOT%{_bindir}
cd ..

cd bindings/Perl
make PREFIX=$RPM_BUILD_ROOT/usr install
mkdir -p $RPM_BUILD_ROOT/dev && cd $RPM_BUILD_ROOT/dev
ln -sf ttyS0 pilot
ln -sf ttyUSB0 pilot2

pushd $RPM_BUILD_ROOT
rm -f `find -type f -name "perllocal.pod"`
rm -f `find -type f -name "*.bs"`
rm -f `find -type f -name .packlist`
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING ChangeLog README NEWS doc/README.usb doc/TODO
/dev
/usr/bin
/usr/lib/*.so.*
/usr/lib/*.so
/usr/lib/*.la
/usr/lib/perl5
/usr/lib/python2*
/usr/share/pilot-link
/usr/man

%files devel
%defattr(-,root,root)
/usr/include
/usr/lib/*.a
/usr/share/aclocal
